pull_request_rules:
  - name: automatic merge when CI passes and 1 reviews
    conditions:
      - "#approved-reviews-by>=1"
      - "#review-requested=0"
      - "#changes-requested-reviews-by=0"
      - base=main
    actions:
      merge:
        method: squash
  - name: delete head branch after merge
    conditions:
      - merged
    actions:
      delete_head_branch: {}
